import esbuild from 'esbuild';

const buildContext = await esbuild
  .context({
    entryPoints: ['src/client/index.ts'],
	  format: "esm",
    outfile: 'src/server/public/dist/index.js',
    bundle: true,
    logLevel: "info",
  });

await buildContext.watch();